felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cristiano <cvgav...@gmail.com>
Subject is current version of Maven-Bundle-Plugin aware of @ComponentPropertyType from DS 1.4?
Date Tue, 03 Jul 2018 19:28:08 GMT
hello,

I'm trying to play with DS 1.4 @ComponentPropertyType.

I've created an annotation:

> @ComponentPropertyType
> public @interface Config {
>
>     /**
>      * @return
>      */
>     String participant_id();
> }

then I tried to use it in activate method:

>     @Activate
>     @Config(participant_id = "category")
>     @Override
>     protected void activate(ComponentContext pInjectedComponentContext,
>             Map<String, Object> pProperties,
>             DsConfigParticipant pConfigProperties)
>              {...}

but M-B-P gives me an manifest generation exception:

> [ERROR] Manifest 
> br.com.c8tech.osgi:br.com.c8tech.osgi.core:jar:0.1.1-SNAPSHOT : 
> Activate method for 
> c8tech.osgi.core.internal.configuration.ComponentCategoryServiceProvider 
> descriptor ()Ljava/lang/String; is not acceptable.


thanks,

Cristiano


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message